Subject: Re: bug#72830: Big rectangular selections are slow

From: Mattias Engdegård <[email-masked]>
Date: Sun, 22 Sep 2024 15:27:50 +0200

21 sep. 2024 kl. 05.05 skrev Stefan Monnier <[email-masked]>:

>> - `select-active-regions`: as mentioned, it slows down rectangle selection
>> massively and is alien to non-X11 platforms so I'd suggest it be set to nil
>> by default on macOS and Windows at least.
> 
> I think we should first try and make it not-slow, by making it lazy.

No objections there but we would need to rework some plumbing. Emacs's behaviour is odd.

When a selection is made, that text is extracted and squirrelled away just in case, so the user can actually select some text, deselect and move around, and even make some changes the the buffer, and then paste PRIMARY from Emacs or any other X11 client and still get the originally selected text.

This isn't how typical old-fashioned X11 clients work and is more likely to be by accident than design but then again I'm not using X11 much these days.

Untangling this mess would take some time.

21 sep. 2024 kl. 10.26 skrev Eli Zaretskii <[email-masked]>:

> I can test on MS-Windows if someone tells what to try and what to pay
> attention to.

Thank you Eli, I'll make sure to ask you when I have something to show.